migrate_from_mantis not work on Redmine 0.9.1

2010-02-23 11:12 - Lucio Grenzi

Status: Closed Start date: 2010-02-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Description

Importing data script from Mantis 1.1.8 not works on Redmine 0.9.1 (Rails 2.2.3)

I've changed line 317 on file migrate_from_mantis

MantisBug.find_each(:batch_size >= 200) do |bug|

to

MantisBug.find(:all).each do |bug|

and everything is imported correctly

Related issues:

Related to Redmine - Defect #5087: migrate_from_trac not work on Redmine 0.9.1 Closed 2010-03-15

History

#1 - 2010-02-26 17:22 - Jean-Philippe Lang

I'm not able to reproduce. You should at least provide the error stack trace.

#2 - 2010-03-05 11:27 - Lucio Grenzi

(in /usr/share/redmine)

Invoke migrate_from_mantis (first_time)

Invoke redmine:migrate_from_mantis (first_time)

Invoke environment (first_time)

Execute environment

Execute redmine:migrate_from_mantis

WARNING: Your Redmine data will be deleted during this process.

Are you sure you want to continue ? [y/N]

Please enter settings for your Mantis database

adapter [mysql]: host [localhost]: database [bugtracker]: username [root]: password []: encoding [UTF-8]:

Migrating users.

Migrating projects..........

Migrating bugs

rake aborted!

undefined method `find_each' for #<Class:0xb6b5ba38>

/usr/share/redmine/vendor/rails/activerecord/lib/active_record/base.rb:1835:in `method_missing'

/usr/share/redmine/lib/tasks/migrate_from_mantis.rake:317:in `migrate'

/usr/share/redmine/lib/tasks/migrate_from_mantis.rake:517

/usr/lib/ruby/1.8/rake.rb:636:in `call'

/usr/lib/ruby/1.8/rake.rb:636:in `execute'

/usr/lib/ruby/1.8/rake.rb:631:in `each'

/usr/lib/ruby/1.8/rake.rb:631:in `execute'

/usr/lib/ruby/1.8/rake.rb:597:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:607:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:604:in `each'

/usr/lib/ruby/1.8/rake.rb:604:in `invoke_prerequisites'

/usr/lib/ruby/1.8/rake.rb:596:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/1.8/rake.rb:590:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/rake.rb:583:in `invoke'

/usr/lib/ruby/1.8/rake.rb:2051:in `invoke_task'

/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2029:in `each'
/usr/lib/ruby/1.8/rake.rb:2029:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:2023:in `top_level'

/usr/lib/ruby/1.8/rake.rb:2001:in `run'

/usr/lib/ruby/1.8/rake.rb:2068:in `standard_exception_handling'

/usr/lib/ruby/1.8/rake.rb:1998:in `run'

/usr/bin/rake:28

#3 - 2011-03-03 14:15 - Etienne Massip

- Status changed from New to Closed

Closed as due to the use of a Rails version < 2.3.
